Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.acl
Class PasswordRecordLine

    java.lang.Object
      com.knowgate.acl.PasswordRecordLine

    public class PasswordRecordLine

extends java.lang.Object

Field Summary
`static char` | `TYPE_ADDR`
`static char` | `TYPE_BIN`
`static char` | `TYPE_DATE`
`static char` | `TYPE_INT`
`static char` | `TYPE_MAIL`
`static char` | `TYPE_NAME`
`static char` | `TYPE_PASS`
`static char` | `TYPE_TEXT`
`static char` | `TYPE_URL`
`java.lang.String` | `ValueFileName`
`java.lang.String` | `ValueId`
`java.lang.String` | `ValueLabel`
`java.lang.String` | `ValueText`
`char` | `ValueType`

Constructor Summary
`PasswordRecordLine(java.lang.String sId, char cType, java.lang.String sLabel)`
`PasswordRecordLine(java.lang.String sId, char cType, java.lang.String sLabel, java.lang.String sValue)`

Method Summary
`byte[]` | `getBinaryValue()`
`java.lang.String` | `getFileName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getLabel()`
`char` | `getType()`
`java.lang.String` | `getValue()`
`void` | `setBinaryValue(java.io.File oFile)`
`void` | `setBinaryValue(java.lang.String sName, byte[] byValue)`
`void` | `setBinaryValue(java.lang.String sName, java.io.InputStream oInStrm)`
`void` | `setFileName(java.lang.String sFileName)`
`void` | `setId(java.lang.String sId)`
`void` | `setLabel(java.lang.String sLabel)`
`void` | `setType(char cType)`
`void` | `setValue(char cType, java.lang.String sText)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ValueId

    public java.lang.String ValueId

### ValueType

    public char ValueType

### ValueLabel

    public java.lang.String ValueLabel

### ValueFileName

    public java.lang.String ValueFileName

### ValueText

    public java.lang.String ValueText

### TYPE_NAME

    public static final char TYPE_NAME

See Also:
  Constant Field Values

### TYPE_TEXT

    public static final char TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_DATE

    public static final char TYPE_DATE

See Also:
  Constant Field Values

### TYPE_PASS

    public static final char TYPE_PASS

See Also:
  Constant Field Values

### TYPE_INT

    public static final char TYPE_INT

See Also:
  Constant Field Values

### TYPE_MAIL

    public static final char TYPE_MAIL

See Also:
  Constant Field Values

### TYPE_URL

    public static final char TYPE_URL

See Also:
  Constant Field Values

### TYPE_ADDR

    public static final char TYPE_ADDR

See Also:
  Constant Field Values

### TYPE_BIN

    public static final char TYPE_BIN

See Also:
  Constant Field Values

Constructor Detail

### PasswordRecordLine

    public PasswordRecordLine(java.lang.String sId,
                              char cType,
                              java.lang.String sLabel)

### PasswordRecordLine

    public PasswordRecordLine(java.lang.String sId,
                              char cType,
                              java.lang.String sLabel,
                              java.lang.String sValue)

Method Detail

### getType

    public char getType()

### setType

    public void setType(char cType)

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String sId)
               throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String sLabel)

### getFileName

    public java.lang.String getFileName()

### setFileName

    public void setFileName(java.lang.String sFileName)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(char cType,
                         java.lang.String sText)

### getBinaryValue

    public byte[] getBinaryValue()

### setBinaryValue

    public void setBinaryValue(java.lang.String sName,
                               byte[] byValue)

### setBinaryValue

    public void setBinaryValue(java.lang.String sName,
                               java.io.InputStream oInStrm)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setBinaryValue

    public void setBinaryValue(java.io.File oFile)
                        throws java.io.FileNotFoundException,
                               java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD